<?php

namespace App\Enums;

enum HarimAction: int
{
    case FEEDBACK = 1;
    case YES = 2;
    case NO = 3;
    case CONFIRM = 4;
    case REFER = 5;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => "بازخورد",
            2 => "بله",
            3 => "خیر",
            4 => "تائید کردن",
            5 => "ارجاع",
        ];

        return $mapArray[$state];
    }
}